Bug 999519 - Receiver does not release messages when xa transacted session is closed without commit
Receiver does not release messages when xa transacted session is closed witho...
Status: NEW
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-jca (Show other bugs)
2.3
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Ted Ross
Messaging QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-21 09:21 EDT by Valiantsina Hubeika
Modified: 2015-01-04 17:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Valiantsina Hubeika 2013-08-21 09:21:24 EDT
Description of problem:

Receiver does not release messages when xa transacted session is closed without commit and not even when connection is closed. Messages are released only after the whole application is undeployed. The test application runs with EAP6.  


Version-Release number of selected component (if applicable):
qpid-jca-0.18-8.el6
qpid-cpp-server-0.18-14.el6

How reproducible:
always

Steps to Reproduce:
1. send messages to queue
2. receive a message in xa tx (do not perform commit)
3. close session
4. check the status of the queue with qpid-tool

Actual results:
message is not available for reading.
qpid-tool shows that there is 1 in the field acquires and 0 in releases

Expected results:
message is available for reading.
qpid-tool shows that there is 1 in the field acquires and 1 in releases

Additional info:
Comment 1 Justin Ross 2013-10-15 17:01:41 EDT
Note that technically this needs to be tested against qpid-cpp-server-0.22.  That is not, however. to suggest that 0.22 fixes it.

Note You need to log in before you can comment on or make changes to this bug.